local function setFlag(val)
    --Sets a particular flag's value to true
    trigger.action.setUserFlag(val, true)
end

local function setFlagRandom(val)
    local ranFlag = math.random (val[1], val[2])
    trigger.action.setUserFlag(ranFlag, true)
end

function AICSpawnGroups(groupNames)
    env.info("Clearing current REDFOR units")
    for i, gp in pairs(coalition.getGroups(1)) do
        targetGroup = Group.getByName(Group.getName(gp))
        if targetGroup and targetGroup:isExist() == true then
            targetGroup:destroy()
        end
    end
    for _, groupName in pairs(groupNames) do
        env.info("Spawning group: " .. groupName)
        mist.respawnGroup(groupName)
    end
end

function ClearPicture()
	  for i, gp in pairs(coalition.getGroups(1)) do
        targetGroup = Group.getByName(Group.getName(gp))
        if targetGroup and targetGroup:isExist() == true then
            targetGroup:destroy()
        end
    end
end    

 local AICMenu = missionCommands.addSubMenuForCoalition (2, 'Picture Control')
 local EASYMenu = missionCommands.addSubMenuForCoalition (2, 'Easy', AICMenu)
 missionCommands.addCommandForCoalition (2,"2 Group Azimuth", EASYMenu, setFlag, 11)
 missionCommands.addCommandForCoalition (2,"2 Group Range", EASYMenu, setFlag, 12)
 missionCommands.addCommandForCoalition (2,"2 Group Echelon", EASYMenu, setFlag, 13)
 missionCommands.addCommandForCoalition (2,"Random", EASYMenu, setFlagRandom, {11,13})
 local MEDMenu = missionCommands.addSubMenuForCoalition (2, 'Medium', AICMenu)
 missionCommands.addCommandForCoalition (2, "3 Group Azimuth", MEDMenu, setFlag, 21)
 missionCommands.addCommandForCoalition (2, "3 Group Range", MEDMenu, setFlag, 22)
 missionCommands.addCommandForCoalition (2, "3 Group Echelon", MEDMenu, setFlag, 23)
 missionCommands.addCommandForCoalition (2, "3 Group Vic", MEDMenu, setFlag, 24)
 missionCommands.addCommandForCoalition (2, "3 Group Champagne", MEDMenu, setFlag, 25)
 missionCommands.addCommandForCoalition (2,"Random", MEDMenu, setFlagRandom, {21,25})
 local HARDMenu = missionCommands.addSubMenuForCoalition (2, 'Hard', AICMenu)
 missionCommands.addCommandForCoalition (2, "4 Group Azimuth", HARDMenu, setFlag, 31)
 missionCommands.addCommandForCoalition (2, "4 Group Range", HARDMenu, setFlag, 32)
 missionCommands.addCommandForCoalition (2, "4 Group Echelon", HARDMenu, setFlag, 33)
 missionCommands.addCommandForCoalition (2, "4 Group Box", HARDMenu, setFlag, 34)
 missionCommands.addCommandForCoalition (2, "2 Group Heavy Azimuth", HARDMenu, setFlag, 35)
 missionCommands.addCommandForCoalition (2, "2 Group Heavy Range", HARDMenu, setFlag, 36)
 missionCommands.addCommandForCoalition (2, "2 Group Heavy Echelon", HARDMenu, setFlag, 37)
 missionCommands.addCommandForCoalition (2, "Random", HARDMenu, setFlagRandom, {31,37})
 missionCommands.addCommandForCoalition (2, "Clear Picture", AICMenu, ClearPicture)